<?php

function wra_form_input($args)
{
	$value = get_option($args['name']);
	if ($args['name'] == 'wra_port' && !$value)
		$value = 80;
	if ($args['name'] == 'wra_updates' && !$value)
		$value = 100;	
?>
<input type="text" id="<?php echo $args['name']; ?>" dir="ltr" name="<?php echo $args['name']; ?>"
	value="<?php echo $value; ?>" /> <label><?php if (isset($args['text']))
		echo $args['text']; ?></label>
<?php
}
function wra_form_chkbox($args)
{
	$value = get_option($args['name']);
    ?>
<label>
	<input type="checkbox" name="<?php echo $args['name'] ?>" <?php if ($value == 'on')
		echo 'checked'; ?> />
</label>
<?php
}
function wra_form_html($args)
{
    ?>
<label>
	<?php echo $args['text']; ?>
</label>
<?php
}
function wra_form_buttons($args)
{
    ?>
<label>
	<button name="<?php echo $args['name']; ?>" class="button button-primary" type="button"
		onclick="window.location='<?php echo $args['link']; ?>'">
		<?php echo $args['text']; ?>
	</button>
</label>
<?php
}

function wra_form_select($args)
{
	$value = get_option($args['name']);
    ?>
<label>
	<select style="width:185px" name="<?php echo $args['name']; ?>">
		<?php if ($args['options'])
		foreach ($args['options'] as $option) {
			if ($option == $value)
				$selected = 'selected';
			else
				$selected = '';
                ?><option value="<?php echo $option ?>" <?php echo $selected ?>><?php echo $option ?></option><?php
		}
                                                                                                                                                     ?>
	</select>
</label>
<?php
}

function wra_form_period($args)
{
	$time = get_option('wra_time');
	$day = get_option('wra_day');
	$hours = get_option('wra_hours');
	$hour = get_option('wra_hour');
	$minute = get_option('wra_minute');

    ?>
<div>
	<input type="radio" name="wra_time" value="1" <?php if ($time != 2)
		echo 'checked'; ?>>
	<label>روزانه: </label> هر <input name="wra_day" type="text" value="<?php echo $day; ?>" style="width: 50px;">
	<label>روز یکبار </label>

</div>
<br>
<div>
	<input type="radio" name="wra_time" value="2" <?php if ($time == 2)
		echo 'checked'; ?>> <label>ساعتی: </label> هر <input
		name="wra_hours" type="text" dir="ltr" value="<?php echo $hours; ?>" style="width: 50px;"> <label> ساعت یکبار
	</label>
</div>
<br>
<div>
	<label>ساعت همگام سازی: </label>
	<select name="wra_minute" dir="ltr" style="width: 50px;">
		<?php
	for ($i = 0; $i < 60; $i++)
		if ($minute == $i)
			echo '<option value="' . $i . '" selected>' . sprintf("%02d", $i) . '</option>';
		else
			echo '<option value="' . $i . '">' . sprintf("%02d", $i) . '</option>';
            ?>
	</select> :
	<select name="wra_hour" dir="ltr" style="width: 50px;">
		<?php
	for ($i = 0; $i < 24; $i++)
		if ($hour == $i)
			echo '<option value="' . $i . '" selected>' . sprintf("%02d", $i) . '</option>';
		else
			echo '<option value="' . $i . '">' . sprintf("%02d", $i) . '</option>';
            ?>
	</select>
</div>
<?php
}
function wra_rest_sanitize_checkbox($value)
{
	return 'on' === $value ? 'on' : 'off';
}